AdnovaDocs
Creative Hub

Rename a version

Rename one version of a file. Keep the original file extension. Returns the updated version.

PATCH
/files/{fileId}/versions/{versionId}

Authentication

authentication
api-key<token>

Create an API key from the Adnova dashboard (Account integrations). Pass the key value in the api-key request header on every call.

In: header

Path Parameters

fileId*string

File id.

Length1 <= length
versionId*string

File version id (returned by the upload-complete endpoints).

Length1 <= length

Header Parameters

x-workspace-id*string

Workspace the request operates in. Get it from List workspaces.

Length1 <= length
x-org-id*string

Organization context (required on every endpoint).

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.adnova.ai/creative-hub/v1/files/01J8ZF9K8M7N6P5R4S3T2V1W0X/versions/01J8ZG0L9N8P7Q6R5S4T3V2W1Y" \  -H "x-workspace-id: 01J8ZQ9X2K3M4N5P6R7S8T9V0W" \  -H "x-org-id: 01J8ZQ7B3C4D5F6G7H8K9M0N1P" \  -H "Content-Type: application/json" \  -d '{    "name": "spring-hero-final.mp4"  }'
{
  "versionId": "V123ABC...",
  "name": "spring-hero.mp4",
  "mime": "video/mp4",
  "extension": "mp4",
  "size": 1846720,
  "mediaKey": "01H8Y3.../__MEDIA_FILES/01H8YA...",
  "thumbnailKey": "01H8Y3.../__MEDIA_FILES/01H8YA...-thumb.jpg",
  "thumbnailURL": "https://adnova-media.s3.amazonaws.com/01H8Y3.../__MEDIA_FILES/01H8YA...-thumb.jpg",
  "mediaURL": "https://adnova-media.s3.amazonaws.com/01H8Y3.../__MEDIA_FILES/01H8YA...",
  "createdAt": "2019-08-24T14:15:22Z",
  "isActive": true,
  "fileId": "01J8ZF9K8M7N6P5R4S3T2V1W0X"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}
{
  "error": {
    "code": "string",
    "message": "string"
  },
  "message": "string"
}